//
// Created by marob on 12/27/2023.
//

#ifndef CLASS_H
#define CLASS_H
#include "LSObject.h"


class CharacterClass {
public:
    explicit CharacterClass(const shared_ptr<LSObject> &obj) {
        name = obj->GetMember("Name").CharPtr;
        level = obj->GetMember("Level").Int;
    }

    string Name() const {
        return this->name;
    }
    int Level() const {
        return this->level;
    }


private:
    string name;
    int level;
};



#endif //CLASS_H
